
import { Observable } from 'rxjs';
import { AdaptorTransmissionRole, TransportEvent } from '../interface/connector.interface';
import { MessageTransmissionBase as MessageTransmissionBaseInterface, TransmissionProfile } from '../interface/transport.interface'
import { v4 as uuidv4 } from 'uuid'
import { Adapter } from '../connector/adapter.base';

export class MessageTransmissionBase implements MessageTransmissionBaseInterface {
    event!: Observable<TransportEvent>
    transmissionRole!: AdaptorTransmissionRole;
    adaptorsArray: Array<Adapter> = []
    mainAdapter!: Adapter;

    constructor() {
        // logic here
    }

    getInfo(): TransmissionProfile {
        throw new Error(`Method not implemented`)
    }

    setUpAdapter(adapter: Adapter): void {
        throw new Error(`Method not implemented`)
    }

}